org.apache.poi.hslf.record

## Class CurrentUserAtom

- java.lang.Object
- - org.apache.poi.hslf.record.CurrentUserAtom

-     public class CurrentUserAtom
      extends java.lang.Object

  This is a special kind of Atom, because it doesn't live inside the PowerPoint document. Instead, it lives in a separate stream in the document. As such, it has to be treated specially

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentUserAtom()` Create a new Current User Atom
    `CurrentUserAtom(DirectoryNode dir)` Find the Current User in the filesystem, and create from that

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCurrentEditOffset()` Points to the UserEditAtom
    `int` | `getDocFinalVersion()`
    `byte` | `getDocMajorNo()`
    `byte` | `getDocMinorNo()`
    `java.lang.String` | `getLastEditUsername()`
    `long` | `getReleaseVersion()`
    `boolean` | `isEncrypted()`
    `void` | `setCurrentEditOffset(long id)`
    `void` | `setEncrypted(boolean isEncrypted)`
    `void` | `setLastEditUsername(java.lang.String u)`
    `void` | `setReleaseVersion(long rv)`
    `void` | `writeOut(java.io.OutputStream out)` Writes ourselves back out
    `void` | `writeToFS(POIFSFileSystem fs)` Writes ourselves back out to a filesystem

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentUserAtom

          public CurrentUserAtom()

      Create a new Current User Atom

    - #### CurrentUserAtom

          public CurrentUserAtom(DirectoryNode dir)
                          throws java.io.IOException

      Find the Current User in the filesystem, and create from that
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getDocFinalVersion

          public int getDocFinalVersion()

    - #### getDocMajorNo

          public byte getDocMajorNo()

    - #### getDocMinorNo

          public byte getDocMinorNo()

    - #### getReleaseVersion

          public long getReleaseVersion()

    - #### setReleaseVersion

          public void setReleaseVersion(long rv)

    - #### getCurrentEditOffset

          public long getCurrentEditOffset()

      Points to the UserEditAtom

    - #### setCurrentEditOffset

          public void setCurrentEditOffset(long id)

    - #### getLastEditUsername

          public java.lang.String getLastEditUsername()

    - #### setLastEditUsername

          public void setLastEditUsername(java.lang.String u)

    - #### isEncrypted

          public boolean isEncrypted()

    - #### setEncrypted

          public void setEncrypted(boolean isEncrypted)

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Writes ourselves back out
      Throws:
        `java.io.IOException`

    - #### writeToFS

          public void writeToFS(POIFSFileSystem fs)
                         throws java.io.IOException

      Writes ourselves back out to a filesystem
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.